Install Older Versions of Internet Explorer All at the Same Time in Windows!

by Jawwad in Software, Windows | 2 comments


It is about two months back when I was providing final touches to the look of my blog, I found a desperate need of some way to test the design and layout in multiple browsers just to ensure that users using different browsers could view the site as it was intended to be without layout, rendering issues etc.  It was easy to test in Opera, Firefox and Internet Explorer 7.0 but I was also interested to test my website in older versions of Internet Explorer 5.5, 6.0 etc. because still a sizable number of users are using these versions of Internet Explorer. Despite my search I could not find a simple solution.

But a few days back I found a very nice software package called Multiple IE that rolls all the older version of Internet Explorer in to a neat little installer. Most interesting thing is that all these Internet Explorer versions can be installed and used in the same windows installation. I have tested it in Windows XP and I am sure it will also work with Vista. Internet Explorer versions that are rolled in to the installer are as follows:

  • Internet Explorer 3.0
  • Internet Explorer 4.01
  • Internet Explorer 5.01
  • Internet Explorer 5.5
  • Internet Explorer 6.01

I am mostly interested in testing for the Internet Explorer 5.5 – 6.0. Internet Explorer 3.0 and 4.0 are a little too old and a lot of work may be involved if you want to make your website work with these older IE versions properly. 

multiple ie  | Install Older Versions of Internet Explorer All at the Same Time in Windows!

multiple ie setup | Install Older Versions of Internet Explorer All at the Same Time in Windows!

So if you have installed latest Internet Explorer 7.0 or Internet Explorer 8.0 beta, you can still test your website design, layout and functionality in an older version of the Internet Explorer because of this wonderful software package. No need to test your website layout on a friend’s PC or in virtual machine now!

Of course, you may want to install these ancient versions of the Internet Explorer for any other reason but I can’t think of any for now. If you have some solid reason then let me know!

You can download it here.

You Might Like:




Get Free Email Updates


Inspired Geek is your primary source for latest tech news, guides and articles on Windows software, games, Apple and Android devices.


  • Get extensive coverage on latest tech news.
  • Exclusive guides on rooting, jailbreaking and unlocking mobile devices.
  • Useful apps and tips&tricks for your iOS and Android devices.
  • Exlclusive Top Countdowns for the best software.

This post was written by...

for Inspired Geek.

Hi! We are trying our best to make this spot most interesting and useful for discovering news, articles, tips & tricks and bringing you the latest in Computer, Mobile and Internet technology areas. Please support our efforts by giving your feedback, subscribing to Inspired Geek RSS (Link on top & bottom of the page), by promoting us on social websites (Facebook, Digg, Twitter, StumbleUpon etc.) or any other way you might feel convenient. Thanks for your support!

  • http://www.nirmaltv.com Nirmal

    Cool software indeed, but I was wondering if anyone is using the IE3 or 4 now? Even for developers its not required if no one is using these versions. :smile:

  • http://www.inspiredgeek.com/ Jawwad

    I think they are there because of historical purposes or for the sake of partial completeness :smile:

Previous post:

Next post:

wordpress counter